package com.ruoyi.ibs.customerselect.domain;


import com.fasterxml.jackson.annotation.JsonFormat;
import com.ruoyi.common.annotation.Excel;

import javax.validation.constraints.NotNull;
import java.util.Date;

public class ListSelectForUser {

    /** 客户标签 */
    @Excel(name = "客户类型:0-个人；1-商户；2-企业")
    @NotNull(message = "客户标签不能为空")
    private String custPattern;

    /** 用户机构 */
    private Long userDept;

    /** 用户id */
    private Long userId;

    /** 清单来源 */
    @Excel(name = "清单来源 0-总行；1-支行")
    private String createRole;

    /** 清单ID */
    @Excel(name = "清单ID")
    private String groupId;

    /** 清单名称 */
    @Excel(name = "清单名称")
    private String groupName;

    /** 关联活动id */
    @Excel(name = "关联活动id")
    private String campaignId;

    /** 关联活动名称 */
    @Excel(name = "关联活动名称")
    private String campaignName;

    /** 客户号 */
    @Excel(name = "客户号")
    private String custId;

    /** 客户名 */
    @Excel(name = "客户名")
    private String custName;

    /** 经营者名称 */
    @Excel(name = "经营者名称(用于商户或企业客户)")
    private String lpName;

    /** 客户手机号 */
    @Excel(name = "客户手机号")
    private String custPhone;

    /** 客户证件号 */
    @Excel(name = "客户证件号(用于个人客户)")
    private String custIdc;

    /** 社会统一编码 */
    @Excel(name = "社会统一编码(用于商户或企业客户)")
    private String socialCreditCode;

    /** 客户内码 */
    @Excel(name = "客户内码")
    private String custIsn;

    /** 开始时间 */
    @JsonFormat(pattern = "yyyy-MM-dd")
    @Excel(name = "开始时间", width = 30, dateFormat = "yyyy-MM-dd")
    private Date startTime;

    /** 结束时间 */
    @JsonFormat(pattern = "yyyy-MM-dd")
    @Excel(name = "结束时间", width = 30, dateFormat = "yyyy-MM-dd")
    private Date endTime;

    /** 紧急程度 */
    @Excel(name = "紧急程度")
    private String campaignDegree;

    /** 分配机构id */
    @Excel(name = "分配机构id")
    private Long deptId;

    /** 分配机构名称 */
    @Excel(name = "分配机构名称")
    private String belongDept;

    /** 认领类型 */
    @Excel(name = "认领类型 0-强制认领；1-可选认领")
    private String claimType;

    /** 机构领取状态 */
    @Excel(name = "机构领取状态 0-待认领；1-已认领")
    private String orgClaimStatus;

    /** 机构分配状态 */
    @Excel(name = "机构分配状态 0-待分配；1-已分配")
    private String orgDistributeStatus;

    /** 客户经理分配状态 */
    @Excel(name = "客户经理分配状态  0-待分配；1-已分配")
    private String custClaimStatus;

    /** 所属一级网格（导出） */
    @Excel(name = "所属一级网格")
    private String topGridName;

    /** 所属二级网格（导出） */
    @Excel(name = "所属二级网格")
    private String secGridName;

    /** 所属客户经理（导出） */
    @Excel(name = "所属客户经理")
    private String userName;

    /** 所属网点（导出） */
    @Excel(name = "所属网点")
    private String outlets;
    @Excel(name = "考核目标")
    private String checkTarget;
    //是否是网点查询，0-否，1-是
    private String isOutlet;

    public String getIsOutlet() {
        return isOutlet;
    }

    public void setIsOutlet(String isOutlet) {
        this.isOutlet = isOutlet;
    }

    public String getCustPattern() {
        return custPattern;
    }

    public void setCustPattern(String custPattern) {
        this.custPattern = custPattern;
    }

    public Long getUserDept() {
        return userDept;
    }

    public void setUserDept(Long userDept) {
        this.userDept = userDept;
    }

    public Long getUserId() {
        return userId;
    }

    public void setUserId(Long userId) {
        this.userId = userId;
    }

    public String getCreateRole() {
        return createRole;
    }

    public void setCreateRole(String createRole) {
        this.createRole = createRole;
    }

    public String getGroupId() {
        return groupId;
    }

    public void setGroupId(String groupId) {
        this.groupId = groupId;
    }

    public String getGroupName() {
        return groupName;
    }

    public void setGroupName(String groupName) {
        this.groupName = groupName;
    }

    public String getCampaignId() {
        return campaignId;
    }

    public void setCampaignId(String campaignId) {
        this.campaignId = campaignId;
    }

    public String getCampaignName() {
        return campaignName;
    }

    public void setCampaignName(String campaignName) {
        this.campaignName = campaignName;
    }

    public String getCustId() {
        return custId;
    }

    public void setCustId(String custId) {
        this.custId = custId;
    }

    public String getCustName() {
        return custName;
    }

    public void setCustName(String custName) {
        this.custName = custName;
    }

    public String getLpName() {
        return lpName;
    }

    public void setLpName(String lpName) {
        this.lpName = lpName;
    }

    public String getCustPhone() {
        return custPhone;
    }

    public void setCustPhone(String custPhone) {
        this.custPhone = custPhone;
    }

    public String getCustIdc() {
        return custIdc;
    }

    public void setCustIdc(String custIdc) {
        this.custIdc = custIdc;
    }

    public String getSocialCreditCode() {
        return socialCreditCode;
    }

    public void setSocialCreditCode(String socialCreditCode) {
        this.socialCreditCode = socialCreditCode;
    }

    public String getCustIsn() {
        return custIsn;
    }

    public void setCustIsn(String custIsn) {
        this.custIsn = custIsn;
    }

    public Date getStartTime() {
        return startTime;
    }

    public void setStartTime(Date startTime) {
        this.startTime = startTime;
    }

    public Date getEndTime() {
        return endTime;
    }

    public void setEndTime(Date endTime) {
        this.endTime = endTime;
    }

    public String getCampaignDegree() {
        return campaignDegree;
    }

    public void setCampaignDegree(String campaignDegree) {
        this.campaignDegree = campaignDegree;
    }

    public Long getDeptId() {
        return deptId;
    }

    public void setDeptId(Long deptId) {
        this.deptId = deptId;
    }

    public String getBelongDept() {
        return belongDept;
    }

    public void setBelongDept(String belongDept) {
        this.belongDept = belongDept;
    }

    public String getClaimType() {
        return claimType;
    }

    public void setClaimType(String claimType) {
        this.claimType = claimType;
    }

    public String getOrgClaimStatus() {
        return orgClaimStatus;
    }

    public void setOrgClaimStatus(String orgClaimStatus) {
        this.orgClaimStatus = orgClaimStatus;
    }

    public String getOrgDistributeStatus() {
        return orgDistributeStatus;
    }

    public void setOrgDistributeStatus(String orgDistributeStatus) {
        this.orgDistributeStatus = orgDistributeStatus;
    }

    public String getCustClaimStatus() {
        return custClaimStatus;
    }

    public void setCustClaimStatus(String custClaimStatus) {
        this.custClaimStatus = custClaimStatus;
    }

    public String getTopGridName() {
        return topGridName;
    }

    public void setTopGridName(String topGridName) {
        this.topGridName = topGridName;
    }

    public String getSecGridName() {
        return secGridName;
    }

    public void setSecGridName(String secGridName) {
        this.secGridName = secGridName;
    }

    public String getUserName() {
        return userName;
    }

    public void setUserName(String userName) {
        this.userName = userName;
    }

    public String getOutlets() {
        return outlets;
    }

    public void setOutlets(String outlets) {
        this.outlets = outlets;
    }

    public String getCheckTarget() {
        return checkTarget;
    }

    public void setCheckTarget(String checkTarget) {
        this.checkTarget = checkTarget;
    }
}
